RQINFO(1)

NAME
rqinfo - Command line monitor for RQ

SYNOPSIS
rqinfo [OPTIONS] [QUEUES]...

DESCRIPTION

RQ is a command-line monitor for rq. It is part of python-rq module package.

OPTIONS

-i, --interval FLOAT
    Updates stats every N seconds (default: don’t poll)

-r, --raw
    Print only the raw numbers, no bar charts

-Q, --only-queues
    Show only queue info

-W, --only-workers
    Show only worker info

-R, --by-queue
    Shows workers by queue

-S, --serializer TEXT
    Path to serializer, defaults to rq.serializers.DefaultSerializer

-P, --path TEXT
    Specify the import path.

--connection-class TEXT
    Redis client class to use

--queue-class TEXT
    RQ Queue class to use

-j, --job-class TEXT
    RQ Job class to use

-w, --worker-class TEXT
    RQ Worker class to use

-c, --config TEXT
    Module containing RQ settings.

-u, --url TEXT
    URL describing Redis connection details.

--help
    Show this message and exit.

SEE ALSO
rq(1), rqworker(1),
Full rq documentation (https://python-rq.org/docs/)